Last Comment Bug 852560 - Bugzilla cannot be installed with MySQL 5.6, because the have_innodb variable no longer exists ("InnoDB is disabled in your MySQL installation")
: Bugzilla cannot be installed with MySQL 5.6, because the have_innodb variable...
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: Database (show other bugs)
: 4.4
: All All
: -- critical (vote)
: Bugzilla 4.0
Assigned To: Frédéric Buclin
: default-qa
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-19 09:04 PDT by Byron Jones ‹:glob› [PTO until 2016-10-10]
Modified: 2013-03-20 05:13 PDT (History)
1 user (show)
LpSolit: approval+
LpSolit: approval4.4+
LpSolit: blocking4.4+
LpSolit: approval4.2+
LpSolit: blocking4.2.6+
LpSolit: approval4.0+
LpSolit: blocking4.0.11+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch, v1 (914 bytes, patch)
2013-03-19 11:28 PDT, Frédéric Buclin
glob: review+
Details | Diff | Splinter Review

Description Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-19 09:04:19 PDT
from http://stackoverflow.com/q/15359467/953

we do:

> my ($innodb_on) = @{$self->selectcol_arrayref(
>     q{SHOW VARIABLES LIKE '%have_innodb%'}, {Columns=>[2]})};
> if ($innodb_on ne 'YES') {
>     die install_string('mysql_innodb_disabled');
> }

according to http://bugs.mysql.com/bug.php?id=63383 have_innodb was removed in mysql 5.6, and we should be using SHOW ENGINES instead.
Comment 1 Frédéric Buclin 2013-03-19 11:28:53 PDT
Created attachment 726803 [details] [diff] [review]
patch, v1

This syntax is supported by all versions of MySQL 5.x.
Comment 2 Frédéric Buclin 2013-03-19 11:34:35 PDT
We will take it for 4.0 despite it's not a security bug, because 4.0 is still far from EOL and MySQL 5.6 already reached GA.
Comment 3 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-03-20 00:26:31 PDT
Comment on attachment 726803 [details] [diff] [review]
patch, v1

r=glob
Comment 4 Frédéric Buclin 2013-03-20 05:13:29 PDT
On checkin, I replaced /^YES|DEFAULT$/ by /^(YES|DEFAULT)$/.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/trunk/
modified Bugzilla/DB/Mysql.pm
Committed revision 8597.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.4/
modified Bugzilla/DB/Mysql.pm
Committed revision 8536.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.2/
modified Bugzilla/DB/Mysql.pm
Committed revision 8198.

Committing to: bzr+ssh://lpsolit%40gmail.com@bzr.mozilla.org/bugzilla/4.0/
modified Bugzilla/DB/Mysql.pm
Committed revision 7748.

Note You need to log in before you can comment on or make changes to this bug.